/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { IDirectiveScope } from "../decorators/directive";
import { DirectiveBase } from "./base.directive";
import { ITimeoutService, IAttributes, IController, ITranscludeFunction } from "angular";
export declare class AlertScope implements IDirectiveScope {
    alertType: string;
    timeout: string;
    close: () => void;
}
export declare class AlertDirective extends DirectiveBase {
    private timeout;
    constructor(timeout: ITimeoutService);
    protected create(scope: AlertScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(timeout: ITimeoutService): AlertDirective;
}
