"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var directive_1 = require("../decorators/directive");
var base_directive_1 = require("./base.directive");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var $ = require("jquery");
var ConvertToNumberDirective = /** @class */ (function (_super) {
    tslib_1.__extends(ConvertToNumberDirective, _super);
    function ConvertToNumberDirective() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ConvertToNumberDirective_1 = ConvertToNumberDirective;
    ConvertToNumberDirective.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        controller.$parsers.push(function (val) { return paradigm_ui_web_shared_1.ObjectExtensions.isNull(val) ? parseInt(val, 10) : null; });
        controller.$formatters.push(function (val) { return val != null ? "" + val : null; });
        var element = $(instanceElement);
    };
    ConvertToNumberDirective.factory = function () {
        return new ConvertToNumberDirective_1();
    };
    ConvertToNumberDirective = ConvertToNumberDirective_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "convertToNumber",
            restrict: "A",
            require: "ngModel"
        })
    ], ConvertToNumberDirective);
    return ConvertToNumberDirective;
    var ConvertToNumberDirective_1;
}(base_directive_1.DirectiveBase));
exports.ConvertToNumberDirective = ConvertToNumberDirective;
